# Must use expand to ensure mktemp is run only once
%{expand: %%define mytempdir %(mktemp -d %{_tmppath}/tmp.XXXXXX)}

# Yep, this is a noarch package, but this is to avoid debug*.list which
# interfere with some of the signature tests.
%define debug_package %{nil}

Name:           perl-Module-Signature
Version:        0.52
Release:        1%{?dist}
Summary:        CPAN signature management utilities and modules

Group:          Development/Libraries
License:        GPL or Artistic
URL:            http://search.cpan.org/dist/Module-Signature/
Source0:        http://www.cpan.org/authors/id/A/AU/AUTRIJUS/Module-Signature-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  gnupg
BuildRequires:  perl(Digest::SHA1)
Requires:       gnupg
Requires:       perl(Digest::SHA1)
Requires:       perl(PAR::Dist)
Requires:  perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
This package contains command line tools and utilities a module for
checking and creating SIGNATURE files for Perl CPAN distributions.


%prep
%setup -q -n Module-Signature-%{version}


%build
mkdir -m 700 %{mytempdir}/_gnupg ; export GNUPGHOME=%{mytempdir}/_gnupg
PERL_AUTOINSTALL=--skipdeps \
%{__perl} Makefile.PL INSTALLDIRS=vendor < /dev/null
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -a -name .packlist -exec rm -f {} ';'
find $RPM_BUILD_ROOT -type d -depth -exec rmdir {} 2>/dev/null ';'
chmod -R u+w $RPM_BUILD_ROOT/*


%check
export GNUPGHOME=%{mytempdir}/_gnupg
make test %{!?_with_livetests:TEST_FILES=t/1-basic.t}


%clean
rm -rf $RPM_BUILD_ROOT %{mytempdir}


%files
%defattr(-,root,root,-)
%doc AUTHORS Changes README *.pub
%{_bindir}/cpansign
%{perl_vendorlib}/Module/
%{_mandir}/man[13]/*.[13]*


%changelog
* Fri Jan 20 2006 Ville Skyttä <ville.skytta at iki.fi> - 0.52-1
- 0.52.
- Run non-live tests during build and make live ones optional, enabled
  when building with "--with livetests".

* Mon Jan  2 2006 Ville Skyttä <ville.skytta at iki.fi> - 0.51-1
- 0.51.

* Mon Aug 22 2005 Ville Skyttä <ville.skytta at iki.fi> - 0.50-1
- 0.50.

* Wed Aug 10 2005 Ville Skyttä <ville.skytta at iki.fi> - 0.45-1
- 0.45.

* Thu Apr  7 2005 Ville Skyttä <ville.skytta at iki.fi> - 0.44-2
- Drop Epoch: 0 and 0.fdr. release prefix.

* Fri Dec 17 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:0.44-0.fdr.1
- Update to 0.44.

* Sun Nov 21 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:0.42-0.fdr.1
- Update to 0.42.

* Tue Jul  6 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:0.41-0.fdr.2
- Require perl(Digest::SHA1) (bug 1606).

* Mon Jul  5 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:0.41-0.fdr.1
- Update to 0.41.

* Fri Jul  2 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:0.40-0.fdr.1
- Update to 0.40.

* Fri Jun 18 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:0.39-0.fdr.1
- Update to 0.39.

* Mon May 31 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:0.38-0.fdr.4
- Really use pure_install (bug 1606).
- Fix build with older mktemp versions which require a template (bug 1606).

* Mon May 31 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:0.38-0.fdr.3
- Fix build in setups which do not generate debug packages (bug 1606).
- Require perl >= 1:5.6.1 for vendor install dir support.
- Use pure_install to avoid perllocal.pod workarounds.

* Sun Apr 25 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:0.38-0.fdr.2
- Require perl(:MODULE_COMPAT_*).

* Sat Mar 27 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:0.38-0.fdr.1
- First build.
